OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ATI.PNTriangles

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATIPNTriangles :: MonadIO m => m Bool
- gl_ATI_pn_triangles :: Bool
- pattern GL_MAX_PN_TRIANGLES_TESSELATION_LEVEL_ATI :: GLenum
- pattern GL_PN_TRIANGLES_ATI :: GLenum
- pattern GL_PN_TRIANGLES_NORMAL_MODE_ATI :: GLenum
- pattern GL_PN_TRIANGLES_NORMAL_MODE_LINEAR_ATI :: GLenum
- pattern GL_PN_TRIANGLES_NORMAL_MODE_QUADRATIC_ATI :: GLenum
- pattern GL_PN_TRIANGLES_POINT_MODE_ATI :: GLenum
- pattern GL_PN_TRIANGLES_POINT_MODE_CUBIC_ATI :: GLenum
- pattern GL_PN_TRIANGLES_POINT_MODE_LINEAR_ATI :: GLenum
- pattern GL_PN_TRIANGLES_TESSELATION_LEVEL_ATI :: GLenum
- glPNTrianglesfATI :: MonadIO m => GLenum -> GLfloat -> m ()
- glPNTrianglesiATI :: MonadIO m => GLenum -> GLint -> m ()

# Extension Support

glGetATIPNTriangles :: MonadIO m => m Bool Source #

Is the ATI_pn_triangles extension supported?

gl_ATI_pn_triangles :: Bool Source #

Is the ATI_pn_triangles extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIPNTriangles` in those cases instead.

# Enums

pattern GL_MAX_PN_TRIANGLES_TESSELATION_LEVEL_ATI :: GLenum Source #

pattern GL_PN_TRIANGLES_ATI :: GLenum Source #

pattern GL_PN_TRIANGLES_NORMAL_MODE_ATI :: GLenum Source #

pattern GL_PN_TRIANGLES_NORMAL_MODE_LINEAR_ATI :: GLenum Source #

pattern GL_PN_TRIANGLES_NORMAL_MODE_QUADRATIC_ATI :: GLenum Source #

pattern GL_PN_TRIANGLES_POINT_MODE_ATI :: GLenum Source #

pattern GL_PN_TRIANGLES_POINT_MODE_CUBIC_ATI :: GLenum Source #

pattern GL_PN_TRIANGLES_POINT_MODE_LINEAR_ATI :: GLenum Source #

pattern GL_PN_TRIANGLES_TESSELATION_LEVEL_ATI :: GLenum Source #

# Functions

glPNTrianglesfATI Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PNTrianglesPNameATI.
-> GLfloat | `param`.
-> m () |

glPNTrianglesiATI Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PNTrianglesPNameATI.
-> GLint | `param`.
-> m () |